Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.manager
Class Delete

    java.lang.Object
      org.deegree.ogcwebservices.csw.manager.Operation
          org.deegree.ogcwebservices.csw.manager.Delete

    public class Delete

extends Operation

A Delete object constains a constraint that defines a set of records that are to be deleted from the catalogue. A constraint must be specified in order to prevent every record in the catalogue from inadvertently being deleted.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`Delete(String handle, URI typeName, Filter constraint)`

Method Summary
`Filter` | `getConstraint()` The number of records affected by a delete action is determined by the contents of the constraint.
`URI` | `getTypeName()` The typeName attribute is used to specify the collection name from which records will be deleted.
`void` | `setConstraint(Filter constraint)` sets the constraint to be considered with a Delete operation

Methods inherited from class org.deegree.ogcwebservices.csw.manager.Operation
`getHandle, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Delete

    public Delete(String handle,
                  URI typeName,
                  Filter constraint)

Parameters:
  `handle` -
  `typeName` -
  `constraint` -

Method Detail

### getConstraint

    public Filter getConstraint()

  The number of records affected by a delete action is determined by the contents of the constraint.

  Returns:
    the filter

### setConstraint

    public void setConstraint(Filter constraint)

  sets the constraint to be considered with a Delete operation

  Parameters:
    `constraint` -

### getTypeName

    public URI getTypeName()

  The typeName attribute is used to specify the collection name from which records will be deleted.

  Returns:
    the uri

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org